%define patch_name	kernel-feat-drivers-libata

Name:		%patch_name
Version:	2004.05.09
Release:	alt1
Summary:	%patch_name kernel patch - Serial ATA drivers
License:	GPL
Group:		Development/Other
BuildArch:	noarch
BuildPreReq:	kernel-build-tools

# http://linux.bkbits.net:8080/linux-2.4/cset@407fec14a2jN8LTxIK9YuMNWfHBdSg
%source   10	10_libata-core.patch

# http://linux.bkbits.net:8080/linux-2.4/cset@407fee3dqAyWgE3bMMHbup_tosYFlg
%source   11	11_promise-sx8.patch

# http://www.kernel.org/pub/linux/kernel/people/jgarzik/libata/2.4.27-pre1-libata2.patch.bz2
%source   15	15_2.4.27-pre1-libata2.patch

# http://linux.bkbits.net:8080/linux-2.5/cset@40991660xEhdhU35E87nrCVYMuvPIw
%source   16	16_sata_sis-pcicfg-scr.patch

# http://marc.theaimsgroup.com/?l=linux-kernel&m=106972332715043&w=2
%source   20	20_iswraid-2.4.22.patch

%source   21	21_iswraid-2.4.22-c99-fix.patch

URL:		http://www.kernel.org/pub/linux/kernel/people/jgarzik/libata/

Packager:	Kernel Maintainers Team <kernel@packages.altlinux.org>

%description
This patch adds support for Serial ATA controllers to the Linux kernel.

%install
%install_patches

%files
%_usrsrc/*

%changelog
* Sun May 09 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.05.09-alt1
- Updated for kernel 2.4.26.
- Updated libata patch to 2.4.27-pre1-libata2:
  + internal cleanups
  + sata_promise: removed support for Promise SX4
  + sata_sx4: separate driver for Promise SX4 cards
- Added Promise SX8 driver "carmel" (not really a libata driver).
- Added:
  + 16_sata_sis-pcicfg-scr.patch: support SATA SCRs in PCI cfg space

* Thu Apr 01 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.04.01-alt1
- Updated libata patch to 2.4.26-rc1-libata3:
  + SCSI portion of command submission path now a lot more lightweight, should
    reduce CPU usage a bit
  + improved documentation
  + fixed bug with READ(6) and WRITE(6) SCSI commands
  + fixed broken delays (due to rounding and HZ==100, sometimes delays would
    not occur for the desired length of time, or even at all)
  + fixed 2.4-specific lockup during probing on SMP kernels
  + sata_sil:
    * no longer marked as BROKEN
  + sata_promise:
    * enable undocumented bit 13 in flash control register,
      because the Promise driver does so
    * wait 10 ms after setting TBG mode, for the same reason
    * prefer spin_lock() to spin_lock_irq() in interrupt handler
    * reset each port before probing the SATA phy
    * reset port every time an error occurs
  + sata_via:
    * fixed reset problems
    * fixed device detection on second port
- Removed:
  - 02_sata_via-srst.patch (upstream)
- Added patches from 2.4.26-bk (were in older libata patches, required for the
  new libata patch):
  + 02_export-scsi_finish_command.patch
  + 03_pci-new-constants.patch

* Thu Mar 25 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.03.25-alt1
- Updated libata patch to 2.4.25-libata12:
  + use kmap_atomic() rater than kmap()
  + ata_piix:
    * do not disable SATA port on module unload
    * fix combined mode device detection
  + sata_sis:
    * new driver for SiS 964/180
  + sata_via:
    * fix probing bug (some 2.6 code leaked into 2.4 backport)
- Added:
  + 02_sata_via-srst.patch: temporarily revert to the old way of resetting port
    (ATA_FLAG_SRST instead of ATA_FLAG_SATA_RESET) to work around not
    responding drive with ASUS A7V600 + Seagate ST3120026AS

* Sun Mar 21 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.03.21-alt1
- Updated libata patch to 2.4.25-libata9:
  + guarantee that S/G entries do not straddle IDE DMA 64k boundary
  + split up shared IO register locations into individual components
  + sync with 2.6... minor cleanups
  + update dma start/stop path to only set/clear the bits we care about (some
    controllers have important bits in the 'reserved' area)
  + limit S/G table size to 128 entries
  + ata_piix:
    * add support for ICH6 (currently only in "looks-like-ICH5" mode;
      enhanced mode not supported yet)
    * update PCI quirk with new Intel SATA devices
    * make sure annoying BIOSen don't disable our interrupts
  + sata_promise:
    * fix DIMM initialization on PCI-X bus
    * provide proper SCSI completion function
  + sata_sil:
    * fix 4-port support on SII 3114
    * remove incorrect limit on drive quirk
    * port init cleanup, mask SATA phy interrupts
    * properly initialize SiI-specific data transfer mode register after the
      SET FEATURES - XFER command
    * limit to UDMA5 due to scary comments in FreeBSD about chip errata
  + sata_svw:
    * increase max from UDMA/100 to UDMA/133
  + sata_via:
    * reset and test for device presence using SATA phy registers (SCRs)
    * add code to make sure that channels and interrupts we are interested in,
      are enabled
    * rewrite PCI probe routine (svia_init_one)
    * follow ata_piix style of scsi_register_module calling
  + sata_vsc:
    * new driver for Vitesse VSC-7174

* Mon Feb 23 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.02.23-alt1
- Updated for kernel 2.4.25.
- Updated libata patch to 2.4.25-libata1 (no real changes).
- Removed obsolete patches (merged upstream):
  - 02_irqreturn_t-update.patch
  - 03_scsi.h-update.patch

* Sun Feb 01 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.02.01-alt1
- Updated libata patch to 01_2.4.25-pre4-libata1:
  + fake BIOS geometry for partition tables
  + sata_promise: initialize DIMM on Promise SX4
  + sata_promise: fix Promise SX4 Host DMA (should be per-host, not per-port)
  + sata_sil: add support for Adaptec 1210SA, 4-port SiI 3114
  + sata_sil: unmask interrupts during initialization (needed for Adaptec
    BIOSes)
  + sata_sil: cleaner, better version of errata workarounds
  + sata_sil: add pci id for Silicon Image 3512
  + sata_svw: fix DRV_NAME to reflect actual driver filename
  + sata_svw: cleanup, better probing:
    * use fewer magic numbers
    * probe all 4 ports, using standard SATA SCRs
    * limit udma mask to 0x3f
    * clean up PPC-specific procfs stuff
- Removed:
  - 04_use-after-free.patch (fixed upstream)

* Sun Dec 14 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.12.14-alt1
- Updated libata patch to 2.4.23-libata1:
  + fix for Promise SX4 (only one Host DMA engine, not one per port)
- Added:
  + 04_use-after-free.patch: fix oops on libata unload.

* Fri Nov 28 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.11.28-alt1
- Updated libata patch to 2.4.23-rc3-libata1:
  + fixed a bug which may cause some devices to "not be talked to" at probe
    time (fixed flush of Device Control register to device)
  + ServerWorks-specific tweaks
- Removed:
  - 04_promise-pci-id.patch (already included into the new libata patch).

* Tue Nov 25 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.11.25-alt1
- Added:
  + 20_iswraid-2.4.22.patch - Intel Software RAID (ICH5R) support.
  + 21_iswraid-2.4.22-c99-fix.patch - remove C99 variable declarations in the
    iswraid driver to make it compile with gcc-2.96.

* Tue Nov 18 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.11.18-alt1
- Updated libata patch to 2.4.22-bk53-libata1.
- Removed:
  - 04_promise-pci-posting.patch (already included into the new libata patch).
- Added:
  + 04_promise-pci-id.patch - support for Promise FastTrak 376 (PCI device ID
    0x3376).

* Sun Nov 09 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.11.09-alt1
- Updated libata patch to 2.4.22-bk48-libata1.
- Added:
  + 04_promise-pci-posting.patch - fix Promise PCI posting bugs.

* Thu Nov 06 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.11.06-alt1
- Replaced modified libata patch with original (kernel-fix-drivers-scsi no
  longer causes conflicts with the original patch).

* Sun Oct 19 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.10.19-alt1
- Initial release.

